org.apache.felix.http.samples.bridge

## Class ProvisionActivator

- java.lang.Object
- - org.apache.felix.http.samples.bridge.ProvisionActivator

All Implemented Interfaces:
  org.osgi.framework.BundleActivator

    public final class ProvisionActivator
    extends java.lang.Object
    implements org.osgi.framework.BundleActivator

### Constructor Summary

Constructors
Constructor and Description
`ProvisionActivator(javax.servlet.ServletContext servletContext)`

### Method Summary

Methods
`void` `start(org.osgi.framework.BundleContext context)`
`void` `stop(org.osgi.framework.BundleContext context)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ProvisionActivator

    public ProvisionActivator(javax.servlet.ServletContext servletContext)

### Method Detail

#### start

    public void start(org.osgi.framework.BundleContext context)
               throws java.lang.Exception

Specified by:
  `start` in interface `org.osgi.framework.BundleActivator`
Throws:
  `java.lang.Exception`

#### stop

    public void stop(org.osgi.framework.BundleContext context)
              throws java.lang.Exception

Specified by:
  `stop` in interface `org.osgi.framework.BundleActivator`
Throws:
  `java.lang.Exception`